[Unit]
Description=Gitea Actions runner
Documentation=https://gitea.com/gitea/act_runner
After=docker.service

[Service]
User=gitea-runner
Group=gitea-runner
ExecStart=dbus-run-session /home/gitea-runner/act_runner/act_runner daemon --config /home/gitea-runner/act_runner/config.yaml
ExecReload=/bin/kill -s HUP $MAINPID
Environment=DOCKER_HOST=unix:///var/run/user/1013/docker.sock
WorkingDirectory=/home/gitea-runner/act_runner
TimeoutSec=0
RestartSec=10
Restart=always

[Install]
WantedBy=multi-user.target
